Bug 851012 - WARNING: at drivers/gpu/drm/i915/intel_display.c:1392 assert_pch_hdmi_disabled+0xd3/0x100 [i915]()
WARNING: at drivers/gpu/drm/i915/intel_display.c:1392 assert_pch_hdmi_disabl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 01:53 EDT by Alexander Bokovoy
Modified: 2014-02-05 07:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:06:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Bokovoy 2012-08-23 01:53:16 EDT
Description of problem:

Thinkpad T510 (4384BR2) is crashing regularly with following backtrace. When crashing, it sits in port replicator (ThinkPad Port Replicator Series 3). There is a Samsung monitor connected via DVI through the port replicator, visible by the system as HDMI3, according to X.org logs. The message seems to happen whenever DPMS kicks in to disable the display during screen saving.

Kernel is 3.6.0-0.rc1.git6.1.fc18.x86_64

[221475.484092] ------------[ cut here ]------------
[221475.484143] WARNING: at drivers/gpu/drm/i915/intel_display.c:1392 assert_pch_hdmi_disabled+0xd3/0x100 [i915]()
[221475.484146] Hardware name: 4384BR2
[221475.484148] IBX PCH hdmi port still using transcoder B
[221475.484151] Modules linked in: usb_storage uas fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp ip6t_REJECT libiscsi_tcp nf_conntrack_ipv6 libiscsi nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state scsi_transport_iscsi nf_conntrack ip6table_filter ip6_tables arc4 iwldvm mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core snd_hda_codec_hdmi videodev media snd_hda_codec_conexant joydev coretemp microcode snd_hda_intel snd_hda_codec intel_ips btusb i2c_i801 snd_hwdep bluetooth snd_seq snd_seq_device lpc_ich mfd_core thinkpad_acpi tpm_tis snd_pcm tpm tpm_bios iwlwifi snd_page_alloc snd_timer cfg80211 snd rfkill e1000e soundcore mei vhost_net tun macvtap macvlan kvm_intel nfsd auth_rpcgss nfs_acl lockd kvm sunrpc binfmt_misc uinput xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel i915 firewire_ohci i2c_algo_bit sdhci_pci drm_kms_helper firewire_core crc_itu_t sdhci mmc_core drm i2c_core mxm_wmi video wmi
[221475.484329] Pid: 1927, comm: X Tainted: G        W    3.6.0-0.rc1.git6.1.fc18.x86_64 #1
[221475.484333] Call Trace:
[221475.484344]  [<ffffffff8106783f>] warn_slowpath_common+0x7f/0xc0
[221475.484350]  [<ffffffff81067936>] warn_slowpath_fmt+0x46/0x50
[221475.484390]  [<ffffffffa0102e63>] assert_pch_hdmi_disabled+0xd3/0x100 [i915]
[221475.484421]  [<ffffffffa0105a27>] ironlake_crtc_disable+0x227/0x820 [i915]
[221475.484452]  [<ffffffffa01060ae>] ironlake_crtc_dpms+0x8e/0xa0 [i915]
[221475.484482]  [<ffffffffa0101108>] intel_crtc_dpms+0x48/0x140 [i915]
[221475.484512]  [<ffffffffa01010c0>] ? ironlake_update_plane+0x2d0/0x2d0 [i915]
[221475.484544]  [<ffffffffa010e530>] ? intel_lvds_prepare+0x10/0x10 [i915]
[221475.484564]  [<ffffffffa00b5ad7>] drm_helper_connector_dpms+0x107/0x130 [drm_kms_helper]
[221475.484593]  [<ffffffffa00430fd>] drm_mode_obj_set_property_ioctl+0x32d/0x340 [drm]
[221475.484620]  [<ffffffffa0043140>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
[221475.484628]  [<ffffffff81187c9c>] ? might_fault+0x5c/0xb0
[221475.484651]  [<ffffffffa0031493>] drm_ioctl+0x4d3/0x580 [drm]
[221475.484687]  [<ffffffffa0043110>] ? drm_mode_obj_set_property_ioctl+0x340/0x340 [drm]
[221475.484695]  [<ffffffff812dfc3b>] ? avc_has_perm_flags+0x17b/0x2c0
[221475.484701]  [<ffffffff812dfaf1>] ? avc_has_perm_flags+0x31/0x2c0
[221475.484709]  [<ffffffff811e4b89>] do_vfs_ioctl+0x99/0x5a0
[221475.484714]  [<ffffffff812e1e07>] ? file_has_perm+0x97/0xb0
[221475.484720]  [<ffffffff811e5129>] sys_ioctl+0x99/0xa0
[221475.484727]  [<ffffffff816e5829>] system_call_fastpath+0x16/0x1b
[221475.484731] ---[ end trace 4c9be6b8957231e4 ]---


# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
00:19.0 Ethernet controller [0200]: Intel Corporation 82577LM Gigabit Network Connection [8086:10ea] (rev 06)
00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06)
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 06)
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 06)
00:1c.3 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 [8086:3b48] (rev 06)
00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 [8086:3b4a] (rev 06)
00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a6)
00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b07] (rev 06)
00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller [8086:3b2f] (rev 06)
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 06)
00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 06)
03:00.0 Network controller [0280]: Intel Corporation Centrino Ultimate-N 6300 [8086:4238] (rev 35)
05:00.0 USB Controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 04)
0d:00.0 SD Host controller [0805]: Ricoh Co Ltd MMC/SD Host Controller [1180:e822] (rev 01)
0d:00.1 System peripheral [0880]: Ricoh Co Ltd Memory Stick Host Controller [1180:e230] (rev 01)
0d:00.3 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd FireWire Host Controller [1180:e832] (rev 01)
ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)
Comment 1 Fedora End Of Life 2013-12-21 03:48:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 07:06:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.